Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.model
Interface IPlayer

All Known Implementing Classes:
  Player

    public interface IPlayer

Interface for `Player` model

Method Summary
`java.awt.Color` | `getColor()` Return the player's color
`IHand` | `getHand()` Get the current hand of the player
`java.lang.String` | `getName()` Return the name of the player

Method Detail

### getHand

    IHand getHand()

  Get the current hand of the player

  Returns:
    the player's hand

### getColor

    java.awt.Color getColor()

  Return the player's color

  Returns:
    the player's color

### getName

    java.lang.String getName()

  Return the name of the player

  Returns:
    the player's name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD